# coding: utf-8
from sqlalchemy import Column, DateTime, Float, ForeignKey, Integer, text
from sqlalchemy.orm import relationship
from sqlalchemy.sql.sqltypes import NullType
from sqlalchemy.dialects.postgresql import JSONB
from sqlalchemy.ext.declarative import declarative_base

Base = declarative_base()
metadata = Base.metadata


class Data(Base):
    """                                        Table "public.data"
        Column     |           Type           | Collation | Nullable |             Default              
    ---------------+--------------------------+-----------+----------+----------------------------------
     id            | integer                  |           | not null | nextval('data_id_seq'::regclass)
     date_time     | timestamp with time zone |           | not null | 
     value         | double precision         |           | not null | 
     flags         | integer                  |           | not null | 
     timeseries_id | integer                  |           | not null |
    Indexes:
        "data_pkey" PRIMARY KEY, btree (id)
        "data_timeseries_id_date_time_7daa6d17_uniq" UNIQUE CONSTRAINT, btree (timeseries_id, date_time)
        "data_date_time_4b248149" btree (date_time)
        "data_timeseries_id_a38c5a1a" btree (timeseries_id)
        "data_timeseries_id_date_time_7daa6d17_idx" btree (timeseries_id, date_time)
    Check constraints:
        "data_flags_48c6b0cc_check" CHECK (flags >= 0)
    Foreign-key constraints:
        "data_timeseries_id_a38c5a1a_fk_timeseries_id" FOREIGN KEY (timeseries_id) REFERENCES timeseries(id) DEFERRABLE INITIALLY DEFERRED
    """

    __tablename__ = 'data'

    id = Column(Integer, primary_key=True, server_default=text("nextval('data_id_seq'::regclass)"))
    date_time = Column(DateTime(True), nullable=False, index=True)
    value = Column(Float(53), nullable=False)
    flags = Column(Integer, nullable=False)
    timeseries_id = Column(Integer, nullable=False)
#   timeseries_id = Column(ForeignKey('timeseries.id', deferrable=True, initially='DEFERRED'), nullable=False, index=True)
#   timeseries = relationship('Timeseries')
