#!/bin/bash

# for running: uvicorn variables.variables:app --reload
curl http://127.0.0.1:8000/variables/?limit=3
curl http://127.0.0.1:8000/variables/id/2
curl http://127.0.0.1:8000/variables/id/99
curl http://127.0.0.1:8000/variables/CO
curl -X POST -H "Content-Type:application/json" -d '{"name": "sabinene", "longname": "sabinene", "displayname": "Sabinene", "cf_standardname": "mole_fraction_of_sabinene_in_air", "units": "nmol mol-1", "chemical_formula": "C10H16"}' http://127.0.0.1:8000/variables/

# for running: uvicorn contacts.contacts:app --reload
curl http://127.0.0.1:8000/contacts/organisations/
curl http://127.0.0.1:8000/contacts/organisations/id/2
curl http://127.0.0.1:8000/contacts/organisations/id/99
curl http://127.0.0.1:8000/contacts/organisations/FZJ
curl -X POST -H "Content-Type:application/json" -d '{"organisation": {"name": "FZJ2", "longname": "Forschungszentrum Test", "kind": 1, "city": "Jülich", "postcode": "52425", "street_address": "Wilhelm-Johnen-Straße", "country": "Germany", "homepage": "https://www.fz-juelich.de"}}' http://127.0.0.1:8000/contacts/organisations/
curl http://127.0.0.1:8000/contacts/persons/
curl http://127.0.0.1:8000/contacts/persons/id/3
curl http://127.0.0.1:8000/contacts/persons/id/99
curl "http://127.0.0.1:8000/contacts/persons/Sabine Schröder"
curl -X POST -H "Content-Type:application/json" -d '{"person": {"name": "Martin Schultz", "email": "m.schultz@fz-juelich.de", "phone": "+49-2461-61-96870", "isprivate": true}}' http://127.0.0.1:8000/contacts/persons/

# for running: uvicorn stationmeta.stationmeta:app --reload
curl http://127.0.0.1:8000/stationmeta_core/
curl http://127.0.0.1:8000/stationmeta_core/China11
curl -X POST -H "Content-Type:application/json" -d '{"stationmeta_core": {"codes":["ttt3","ttt4"],"name":"Test_China","coordinates":{"lat":36.256,"lng":17.106,"alt":1534.0},"country":"China","state":"Shandong Sheng","coordinate_validation_status":0,"coordinate_validation_date":"2020-03-11T12:22:18.047974+01:00","type_of_environment":0,"type_of_area":0,"category":"","timezone":"", "coordinate_validator_id": 1, "additional_metadata":"{}"}}' "http://127.0.0.1:8000/stationmeta_core/"

# for running: uvicorn timeseries.timeseries:app --reload
curl http://127.0.0.1:8000/timeseries/
curl http://127.0.0.1:8000/timeseries/2
curl -X POST -H "Content-Type:application/json" -d '{"timeseries": {"label": "CMA2", "order": 1, "access_rights": 0, "sampling_frequency": 0, "aggregation": 0, "data_start_date": "2003-09-07T15:30:00+02:00", "data_end_date": "2016-12-31T14:30:00+01:00", "measurement_method": "UV absorption", "sampling_height": 7.0, "date_added": "2020-05-15T15:30:00+02:00", "date_modified": "2020-05-16T09:30:00+02:00", "station_id": 2, "variable_id": 7, "additional_metadata":"{}"}}' http://127.0.0.1:8000/timeseries/
