--
-- PostgreSQL database dump
--

-- Dumped from database version 10.3 (Ubuntu 10.3-1)
-- Dumped by pg_dump version 10.3 (Ubuntu 10.3-1)

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET client_min_messages = warning;
SET row_security = off;

--
-- Name: postgis; Type: SCHEMA; Schema: -; Owner: toaradmin
--

CREATE SCHEMA postgis;


ALTER SCHEMA postgis OWNER TO toaradmin;

--
-- Name: tiger; Type: SCHEMA; Schema: -; Owner: toaradmin
--

CREATE SCHEMA tiger;


ALTER SCHEMA tiger OWNER TO toaradmin;

--
-- Name: tiger_data; Type: SCHEMA; Schema: -; Owner: toaradmin
--

CREATE SCHEMA tiger_data;


ALTER SCHEMA tiger_data OWNER TO toaradmin;

--
-- Name: topology; Type: SCHEMA; Schema: -; Owner: toaradmin
--

CREATE SCHEMA topology;


ALTER SCHEMA topology OWNER TO toaradmin;

--
-- Name: SCHEMA topology; Type: COMMENT; Schema: -; Owner: toaradmin
--

COMMENT ON SCHEMA topology IS 'PostGIS Topology schema';


--
-- Name: plpgsql; Type: EXTENSION; Schema: -; Owner: 
--

CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;


--
-- Name: EXTENSION plpgsql; Type: COMMENT; Schema: -; Owner: 
--

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';


--
-- Name: address_standardizer; Type: EXTENSION; Schema: -; Owner: 
--

CREATE EXTENSION IF NOT EXISTS address_standardizer WITH SCHEMA public;


--
-- Name: EXTENSION address_standardizer; Type: COMMENT; Schema: -; Owner: 
--

COMMENT ON EXTENSION address_standardizer IS 'Used to parse an address into constituent elements. Generally used to support geocoding address normalization step.';


--
-- Name: address_standardizer_data_us; Type: EXTENSION; Schema: -; Owner: 
--

CREATE EXTENSION IF NOT EXISTS address_standardizer_data_us WITH SCHEMA public;


--
-- Name: EXTENSION address_standardizer_data_us; Type: COMMENT; Schema: -; Owner: 
--

COMMENT ON EXTENSION address_standardizer_data_us IS 'Address Standardizer US dataset example';


--
-- Name: fuzzystrmatch; Type: EXTENSION; Schema: -; Owner: 
--

CREATE EXTENSION IF NOT EXISTS fuzzystrmatch WITH SCHEMA public;


--
-- Name: EXTENSION fuzzystrmatch; Type: COMMENT; Schema: -; Owner: 
--

COMMENT ON EXTENSION fuzzystrmatch IS 'determine similarities and distance between strings';


--
-- Name: postgis; Type: EXTENSION; Schema: -; Owner: 
--

CREATE EXTENSION IF NOT EXISTS postgis WITH SCHEMA postgis;


--
-- Name: EXTENSION postgis; Type: COMMENT; Schema: -; Owner: 
--

COMMENT ON EXTENSION postgis IS 'PostGIS geometry, geography, and raster spatial types and functions';


--
-- Name: postgis_tiger_geocoder; Type: EXTENSION; Schema: -; Owner: 
--

CREATE EXTENSION IF NOT EXISTS postgis_tiger_geocoder WITH SCHEMA tiger;


--
-- Name: EXTENSION postgis_tiger_geocoder; Type: COMMENT; Schema: -; Owner: 
--

COMMENT ON EXTENSION postgis_tiger_geocoder IS 'PostGIS tiger geocoder and reverse geocoder';


--
-- Name: postgis_topology; Type: EXTENSION; Schema: -; Owner: 
--

CREATE EXTENSION IF NOT EXISTS postgis_topology WITH SCHEMA topology;


--
-- Name: EXTENSION postgis_topology; Type: COMMENT; Schema: -; Owner: 
--

COMMENT ON EXTENSION postgis_topology IS 'PostGIS topology spatial types and functions';


SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: auth_user; Type: TABLE; Schema: public; Owner: toaradmin
--

CREATE TABLE public.auth_user (
    id integer NOT NULL,
    password character varying(128) NOT NULL,
    last_login timestamp with time zone,
    is_superuser boolean NOT NULL,
    username character varying(150) NOT NULL,
    first_name character varying(30) NOT NULL,
    last_name character varying(150) NOT NULL,
    email character varying(254) NOT NULL,
    is_staff boolean NOT NULL,
    is_active boolean NOT NULL,
    date_joined timestamp with time zone NOT NULL
);


ALTER TABLE public.auth_user OWNER TO toaradmin;

--
-- Name: auth_user_id_seq; Type: SEQUENCE; Schema: public; Owner: toaradmin
--

CREATE SEQUENCE public.auth_user_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.auth_user_id_seq OWNER TO toaradmin;

--
-- Name: auth_user_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: toaradmin
--

ALTER SEQUENCE public.auth_user_id_seq OWNED BY public.auth_user.id;

--
-- Name: data; Type: TABLE; Schema: public; Owner: toaradmin
--

CREATE TABLE public.data (
    id integer NOT NULL,
    date_time timestamp with time zone NOT NULL,
    value double precision NOT NULL,
    flags integer NOT NULL,
    timeseries_id integer NOT NULL,
    CONSTRAINT data_flags_48c6b0cc_check CHECK ((flags >= 0))
);


ALTER TABLE public.data OWNER TO toaradmin;

--
-- Name: data_id_seq; Type: SEQUENCE; Schema: public; Owner: toaradmin
--

CREATE SEQUENCE public.data_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.data_id_seq OWNER TO toaradmin;

--
-- Name: data_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: toaradmin
--

ALTER SEQUENCE public.data_id_seq OWNED BY public.data.id;

--
-- Name: organisations; Type: TABLE; Schema: public; Owner: toaradmin
--

CREATE TABLE public.organisations (
    id integer NOT NULL,
    name character varying(32) NOT NULL,
    longname character varying(128) NOT NULL,
    kind integer NOT NULL,
    city character varying(64) NOT NULL,
    postcode character varying(16) NOT NULL,
    street_address character varying(128) NOT NULL,
    country character varying(64) NOT NULL,
    homepage character varying(200) NOT NULL,
    CONSTRAINT organisations_kind_check CHECK ((kind >= 0))
);


ALTER TABLE public.organisations OWNER TO toaradmin;

--
-- Name: organisations_id_seq; Type: SEQUENCE; Schema: public; Owner: toaradmin
--

CREATE SEQUENCE public.organisations_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.organisations_id_seq OWNER TO toaradmin;

--
-- Name: organisations_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: toaradmin
--

ALTER SEQUENCE public.organisations_id_seq OWNED BY public.organisations.id;


--
-- Name: persons; Type: TABLE; Schema: public; Owner: toaradmin
--

CREATE TABLE public.persons (
    id integer NOT NULL,
    name character varying(64) NOT NULL,
    email character varying(128) NOT NULL,
    phone character varying(32) NOT NULL,
    isprivate boolean NOT NULL
);


ALTER TABLE public.persons OWNER TO toaradmin;

--
-- Name: persons_id_seq; Type: SEQUENCE; Schema: public; Owner: toaradmin
--

CREATE SEQUENCE public.persons_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.persons_id_seq OWNER TO toaradmin;

--
-- Name: persons_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: toaradmin
--

ALTER SEQUENCE public.persons_id_seq OWNED BY public.persons.id;


--
-- Name: stationmeta_roles; Type: TABLE; Schema: public; Owner: toaradmin
--

CREATE TABLE public.stationmeta_roles (
    id integer NOT NULL,
    role integer NOT NULL,
    status integer NOT NULL,
    person_id integer NOT NULL,
    station_id integer NOT NULL,
    CONSTRAINT stationmeta_roles_role_check CHECK ((role >= 0)),
    CONSTRAINT stationmeta_roles_status_check CHECK ((status >= 0))
);


ALTER TABLE public.stationmeta_roles OWNER TO toaradmin;

--
-- Name: stationmeta_roles_id_seq; Type: SEQUENCE; Schema: public; Owner: toaradmin
--

CREATE SEQUENCE public.stationmeta_roles_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.stationmeta_roles_id_seq OWNER TO toaradmin;

--
-- Name: stationmeta_roles_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: toaradmin
--

ALTER SEQUENCE public.stationmeta_roles_id_seq OWNED BY public.stationmeta_roles.id;


--
-- Name: stationmeta_annotations; Type: TABLE; Schema: public; Owner: toaradmin
--

CREATE TABLE public.stationmeta_annotations (
    id integer NOT NULL,
    kind integer NOT NULL,
    text text NOT NULL,
    date_added timestamp with time zone NOT NULL,
    approved boolean NOT NULL,
    contributor_id integer NOT NULL,
    station_id integer NOT NULL,
    CONSTRAINT stationmeta_annotations_kind_check CHECK ((kind >= 0))
);


ALTER TABLE public.stationmeta_annotations OWNER TO toaradmin;

--
-- Name: stationmeta_annotations_id_seq; Type: SEQUENCE; Schema: public; Owner: toaradmin
--

CREATE SEQUENCE public.stationmeta_annotations_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.stationmeta_annotations_id_seq OWNER TO toaradmin;

--
-- Name: stationmeta_annotations_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: toaradmin
--

ALTER SEQUENCE public.stationmeta_annotations_id_seq OWNED BY public.stationmeta_annotations.id;


--
-- Name: stationmeta_aux_doc; Type: TABLE; Schema: public; Owner: toaradmin
--

CREATE TABLE public.stationmeta_aux_doc (
    id integer NOT NULL,
    resource_description text NOT NULL,
    date_added timestamp with time zone NOT NULL,
    resource character varying(100) NOT NULL,
    station_id integer
);


ALTER TABLE public.stationmeta_aux_doc OWNER TO toaradmin;

--
-- Name: stationmeta_aux_doc_id_seq; Type: SEQUENCE; Schema: public; Owner: toaradmin
--

CREATE SEQUENCE public.stationmeta_aux_doc_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.stationmeta_aux_doc_id_seq OWNER TO toaradmin;

--
-- Name: stationmeta_aux_doc_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: toaradmin
--

ALTER SEQUENCE public.stationmeta_aux_doc_id_seq OWNED BY public.stationmeta_aux_doc.id;


--
-- Name: stationmeta_aux_image; Type: TABLE; Schema: public; Owner: toaradmin
--

CREATE TABLE public.stationmeta_aux_image (
    id integer NOT NULL,
    resource_description text NOT NULL,
    date_added timestamp with time zone NOT NULL,
    resource character varying(100) NOT NULL,
    image_height integer NOT NULL,
    image_width integer NOT NULL,
    station_id integer,
    CONSTRAINT stationmeta_aux_image_image_height_check CHECK ((image_height >= 0)),
    CONSTRAINT stationmeta_aux_image_image_width_check CHECK ((image_width >= 0))
);


ALTER TABLE public.stationmeta_aux_image OWNER TO toaradmin;

--
-- Name: stationmeta_aux_image_id_seq; Type: SEQUENCE; Schema: public; Owner: toaradmin
--

CREATE SEQUENCE public.stationmeta_aux_image_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.stationmeta_aux_image_id_seq OWNER TO toaradmin;

--
-- Name: stationmeta_aux_image_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: toaradmin
--

ALTER SEQUENCE public.stationmeta_aux_image_id_seq OWNED BY public.stationmeta_aux_image.id;


--
-- Name: stationmeta_aux_url; Type: TABLE; Schema: public; Owner: toaradmin
--

CREATE TABLE public.stationmeta_aux_url (
    id integer NOT NULL,
    resource_description text NOT NULL,
    date_added timestamp with time zone NOT NULL,
    resource character varying(200) NOT NULL,
    station_id integer
);


ALTER TABLE public.stationmeta_aux_url OWNER TO toaradmin;

--
-- Name: stationmeta_aux_url_id_seq; Type: SEQUENCE; Schema: public; Owner: toaradmin
--

CREATE SEQUENCE public.stationmeta_aux_url_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.stationmeta_aux_url_id_seq OWNER TO toaradmin;

--
-- Name: stationmeta_aux_url_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: toaradmin
--

ALTER SEQUENCE public.stationmeta_aux_url_id_seq OWNED BY public.stationmeta_aux_url.id;


--
-- Name: stationmeta_core; Type: TABLE; Schema: public; Owner: toaradmin
--

CREATE TABLE public.stationmeta_core (
    id integer NOT NULL,
    codes character varying(16)[],
    name character varying(128) NOT NULL,
    coordinates postgis.geometry(PointZ,4326) NOT NULL,
    country character varying(128) NOT NULL,
    state character varying(128) NOT NULL,
    coordinate_validation_status integer NOT NULL,
    coordinate_validation_date timestamp with time zone NOT NULL,
    type_of_environment integer NOT NULL,
    type_of_area integer NOT NULL,
    category character varying(128) NOT NULL,
    timezone character varying(64) NOT NULL,
    additional_metadata jsonb NOT NULL,
    coordinate_validator_id integer NOT NULL,
    CONSTRAINT stationmeta_core_coordinate_validation_status_check CHECK ((coordinate_validation_status >= 0)),
    CONSTRAINT stationmeta_core_type_of_area_check CHECK ((type_of_area >= 0)),
    CONSTRAINT stationmeta_core_type_of_environment_check CHECK ((type_of_environment >= 0))
);


ALTER TABLE public.stationmeta_core OWNER TO toaradmin;

--
-- Name: stationmeta_core_id_seq; Type: SEQUENCE; Schema: public; Owner: toaradmin
--

CREATE SEQUENCE public.stationmeta_core_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.stationmeta_core_id_seq OWNER TO toaradmin;

--
-- Name: stationmeta_core_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: toaradmin
--

ALTER SEQUENCE public.stationmeta_core_id_seq OWNED BY public.stationmeta_core.id;


--
-- Name: stationmeta_global; Type: TABLE; Schema: public; Owner: toaradmin
--

CREATE TABLE public.stationmeta_global (
    id integer NOT NULL,
    population_density_year2010 double precision NOT NULL,
    max_population_density_25km_year2010 double precision NOT NULL,
    climatic_zone integer NOT NULL,
    nightlight_1km_year2013 double precision NOT NULL,
    nightlight_5km_year2013 double precision NOT NULL,
    max_nightlight_25km_year2013 double precision NOT NULL,
    wheat_production_year2000 double precision NOT NULL,
    rice_production_year2000 double precision NOT NULL,
    edgar_htap_v2_nox_emissions_year2010 double precision NOT NULL,
    omi_no2_column_years2011to2015 double precision NOT NULL,
    htap_region_tier1 integer NOT NULL,
    etopo_alt double precision NOT NULL,
    etopo_min_alt_5km double precision NOT NULL,
    etopo_relative_alt double precision NOT NULL,
    dominant_landcover_year2012 integer NOT NULL,
    toar1_category integer NOT NULL,
    station_id integer NOT NULL,
    CONSTRAINT stationmeta_global_climatic_zone_check CHECK ((climatic_zone >= 0)),
    CONSTRAINT stationmeta_global_dominant_landcover_year2012_check CHECK ((dominant_landcover_year2012 >= 0)),
    CONSTRAINT stationmeta_global_htap_region_tier1_check CHECK ((htap_region_tier1 >= 0)),
    CONSTRAINT stationmeta_global_toar1_category_check CHECK ((toar1_category >= 0))
);


ALTER TABLE public.stationmeta_global OWNER TO toaradmin;

--
-- Name: stationmeta_global_id_seq; Type: SEQUENCE; Schema: public; Owner: toaradmin
--

CREATE SEQUENCE public.stationmeta_global_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.stationmeta_global_id_seq OWNER TO toaradmin;

--
-- Name: stationmeta_global_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: toaradmin
--

ALTER SEQUENCE public.stationmeta_global_id_seq OWNED BY public.stationmeta_global.id;


--
-- Name: stationmeta_global_services; Type: TABLE; Schema: public; Owner: toaradmin
--

CREATE TABLE public.stationmeta_global_services (
    id integer NOT NULL,
    variable_name character varying(64) NOT NULL,
    result_type integer NOT NULL,
    result_nvalues integer NOT NULL,
    service_valid_year integer,
    service_url character varying(200) NOT NULL,
    CONSTRAINT stationmeta_global_services_result_nvalues_check CHECK ((result_nvalues >= 0)),
    CONSTRAINT stationmeta_global_services_result_type_check CHECK ((result_type >= 0)),
    CONSTRAINT stationmeta_global_services_service_valid_year_check CHECK ((service_valid_year >= 0))
);


ALTER TABLE public.stationmeta_global_services OWNER TO toaradmin;

--
-- Name: stationmeta_global_services_id_seq; Type: SEQUENCE; Schema: public; Owner: toaradmin
--

CREATE SEQUENCE public.stationmeta_global_services_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.stationmeta_global_services_id_seq OWNER TO toaradmin;

--
-- Name: stationmeta_global_services_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: toaradmin
--

ALTER SEQUENCE public.stationmeta_global_services_id_seq OWNED BY public.stationmeta_global_services.id;


--
-- Name: timeseries; Type: TABLE; Schema: public; Owner: toaradmin
--

CREATE TABLE public.timeseries (
    id integer NOT NULL,
    label character varying(128) NOT NULL,
    "order" integer NOT NULL,
    access_rights integer NOT NULL,
    sampling_frequency integer NOT NULL,
    aggregation integer NOT NULL,
    data_start_date timestamp with time zone NOT NULL,
    data_end_date timestamp with time zone NOT NULL,
    measurement_method character varying(128) NOT NULL,
    sampling_height double precision NOT NULL,
    additional_metadata jsonb NOT NULL,
    date_added timestamp with time zone NOT NULL,
    date_modified timestamp with time zone NOT NULL,
    station_id integer,
    variable_id integer,
    CONSTRAINT timeseries_access_rights_check CHECK ((access_rights >= 0)),
    CONSTRAINT timeseries_aggregation_check CHECK ((aggregation >= 0)),
    CONSTRAINT timeseries_order_check CHECK (("order" >= 0)),
    CONSTRAINT timeseries_sampling_frequency_check CHECK ((sampling_frequency >= 0))
);


ALTER TABLE public.timeseries OWNER TO toaradmin;

--
-- Name: timeseries_annotations; Type: TABLE; Schema: public; Owner: toaradmin
--

CREATE TABLE public.timeseries_annotations (
    id integer NOT NULL,
    kind integer NOT NULL,
    text text NOT NULL,
    date_added timestamp with time zone NOT NULL,
    approved boolean NOT NULL,
    contributor_id integer NOT NULL,
    timeseries_id integer NOT NULL,
    CONSTRAINT timeseries_annotations_kind_check CHECK ((kind >= 0))
);


ALTER TABLE public.timeseries_annotations OWNER TO toaradmin;

--
-- Name: timeseries_annotations_id_seq; Type: SEQUENCE; Schema: public; Owner: toaradmin
--

CREATE SEQUENCE public.timeseries_annotations_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.timeseries_annotations_id_seq OWNER TO toaradmin;

--
-- Name: timeseries_annotations_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: toaradmin
--

ALTER SEQUENCE public.timeseries_annotations_id_seq OWNED BY public.timeseries_annotations.id;


--
-- Name: timeseries_id_seq; Type: SEQUENCE; Schema: public; Owner: toaradmin
--

CREATE SEQUENCE public.timeseries_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.timeseries_id_seq OWNER TO toaradmin;

--
-- Name: timeseries_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: toaradmin
--

ALTER SEQUENCE public.timeseries_id_seq OWNED BY public.timeseries.id;


--
-- Name: timeseries_programmes; Type: TABLE; Schema: public; Owner: toaradmin
--

CREATE TABLE public.timeseries_programmes (
    id integer NOT NULL,
    name character varying(32) NOT NULL,
    longname character varying(128) NOT NULL,
    homepage character varying(200) NOT NULL,
    description text NOT NULL
);


ALTER TABLE public.timeseries_programmes OWNER TO toaradmin;

--
-- Name: timeseries_programmes_id_seq; Type: SEQUENCE; Schema: public; Owner: toaradmin
--

CREATE SEQUENCE public.timeseries_programmes_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.timeseries_programmes_id_seq OWNER TO toaradmin;

--
-- Name: timeseries_programmes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: toaradmin
--

ALTER SEQUENCE public.timeseries_programmes_id_seq OWNED BY public.timeseries_programmes.id;


--
-- Name: timeseries_roles; Type: TABLE; Schema: public; Owner: toaradmin
--

CREATE TABLE public.timeseries_roles (
    id integer NOT NULL,
    role integer NOT NULL,
    status integer NOT NULL,
    person_id integer NOT NULL,
    timeseries_id integer NOT NULL,
    CONSTRAINT timeseries_roles_role_check CHECK ((role >= 0)),
    CONSTRAINT timeseries_roles_status_check CHECK ((status >= 0))
);


ALTER TABLE public.timeseries_roles OWNER TO toaradmin;

--
-- Name: timeseries_roles_id_seq; Type: SEQUENCE; Schema: public; Owner: toaradmin
--

CREATE SEQUENCE public.timeseries_roles_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.timeseries_roles_id_seq OWNER TO toaradmin;

--
-- Name: timeseries_roles_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: toaradmin
--

ALTER SEQUENCE public.timeseries_roles_id_seq OWNED BY public.timeseries_roles.id;


--
-- Name: variables; Type: TABLE; Schema: public; Owner: toaradmin
--

CREATE TABLE public.variables (
    id integer NOT NULL,
    name character varying(32) NOT NULL,
    longname character varying(128) NOT NULL,
    displayname character varying(128) NOT NULL,
    cf_standardname character varying(128) NOT NULL,
    units character varying(64) NOT NULL,
    chemical_formula character varying(128) NOT NULL
);


ALTER TABLE public.variables OWNER TO toaradmin;

--
-- Name: variables_id_seq; Type: SEQUENCE; Schema: public; Owner: toaradmin
--

CREATE SEQUENCE public.variables_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.variables_id_seq OWNER TO toaradmin;

--
-- Name: variables_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: toaradmin
--

ALTER SEQUENCE public.variables_id_seq OWNED BY public.variables.id;

--
-- Name: auth_user id; Type: DEFAULT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.auth_user ALTER COLUMN id SET DEFAULT nextval('public.auth_user_id_seq'::regclass);

--
-- Name: data id; Type: DEFAULT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.data ALTER COLUMN id SET DEFAULT nextval('public.data_id_seq'::regclass);

--
-- Name: organisations id; Type: DEFAULT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.organisations ALTER COLUMN id SET DEFAULT nextval('public.organisations_id_seq'::regclass);

--
-- Name: persons id; Type: DEFAULT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.persons ALTER COLUMN id SET DEFAULT nextval('public.persons_id_seq'::regclass);

--
-- Name: stationmeta_roles id; Type: DEFAULT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.stationmeta_roles ALTER COLUMN id SET DEFAULT nextval('public.stationmeta_roles_id_seq'::regclass);

--
-- Name: stationmeta_annotations id; Type: DEFAULT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.stationmeta_annotations ALTER COLUMN id SET DEFAULT nextval('public.stationmeta_annotations_id_seq'::regclass);

--
-- Name: stationmeta_aux_doc id; Type: DEFAULT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.stationmeta_aux_doc ALTER COLUMN id SET DEFAULT nextval('public.stationmeta_aux_doc_id_seq'::regclass);

--
-- Name: stationmeta_aux_image id; Type: DEFAULT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.stationmeta_aux_image ALTER COLUMN id SET DEFAULT nextval('public.stationmeta_aux_image_id_seq'::regclass);

--
-- Name: stationmeta_aux_url id; Type: DEFAULT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.stationmeta_aux_url ALTER COLUMN id SET DEFAULT nextval('public.stationmeta_aux_url_id_seq'::regclass);

--
-- Name: stationmeta_core id; Type: DEFAULT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.stationmeta_core ALTER COLUMN id SET DEFAULT nextval('public.stationmeta_core_id_seq'::regclass);

--
-- Name: stationmeta_global id; Type: DEFAULT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.stationmeta_global ALTER COLUMN id SET DEFAULT nextval('public.stationmeta_global_id_seq'::regclass);

--
-- Name: stationmeta_global_services id; Type: DEFAULT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.stationmeta_global_services ALTER COLUMN id SET DEFAULT nextval('public.stationmeta_global_services_id_seq'::regclass);

--
-- Name: timeseries id; Type: DEFAULT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.timeseries ALTER COLUMN id SET DEFAULT nextval('public.timeseries_id_seq'::regclass);

--
-- Name: timeseries_annotations id; Type: DEFAULT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.timeseries_annotations ALTER COLUMN id SET DEFAULT nextval('public.timeseries_annotations_id_seq'::regclass);

--
-- Name: timeseries_programmes id; Type: DEFAULT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.timeseries_programmes ALTER COLUMN id SET DEFAULT nextval('public.timeseries_programmes_id_seq'::regclass);

--
-- Name: timeseries_roles id; Type: DEFAULT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.timeseries_roles ALTER COLUMN id SET DEFAULT nextval('public.timeseries_roles_id_seq'::regclass);

--
-- Name: variables id; Type: DEFAULT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.variables ALTER COLUMN id SET DEFAULT nextval('public.variables_id_seq'::regclass);

--
-- Data for Name: spatial_ref_sys; Type: TABLE DATA; Schema: postgis; Owner: toaradmin
--

COPY postgis.spatial_ref_sys (srid, auth_name, auth_srid, srtext, proj4text) FROM stdin;
\.

--
-- Data for Name: auth_user; Type: TABLE DATA; Schema: public; Owner: toaradmin
--

COPY public.auth_user (id, password, last_login, is_superuser, username, first_name, last_name, email, is_staff, is_active, date_joined) FROM stdin;
2	pbkdf2_sha256$120000$e6mCx4B1ReAJ$oPEJck70m4p1i6TpAYMehDJ3h/DgSiqEa7juOAM2u3g=	\N	f	AnonymousUser	Anonymous	User		f	f	2020-03-03 13:32:29+01
1	pbkdf2_sha256$120000$rDFZcfbC78Lo$mkXG3yrd5nu7aEOSc8wK3O+61vRXHzywbj1ZnjqP/lo=	2020-03-12 11:48:36.61661+01	t	sschroeder			s.schroeder@fz-juelich.de	t	t	2020-03-03 13:30:11.393341+01
\.


--
-- Data for Name: data; Type: TABLE DATA; Schema: public; Owner: toaradmin
--

COPY public.data (id, date_time, value, flags, timeseries_id) FROM stdin;
1	2012-12-15 11:00:00+01	33.3530000000000015	0	3
2	2012-12-15 12:00:00+01	58.8589999999999947	0	3
3	2012-12-15 13:00:00+01	66.7060000000000031	0	3
4	2012-12-15 14:00:00+01	64.7439999999999998	0	3
5	2012-12-15 15:00:00+01	72.5919999999999987	0	3
6	2012-12-15 16:00:00+01	56.8969999999999985	0	3
7	2012-12-15 17:00:00+01	41.2010000000000005	0	3
8	2012-12-15 18:00:00+01	35.3149999999999977	0	3
9	2012-12-15 19:00:00+01	37.277000000000001	0	3
10	2012-12-15 20:00:00+01	31.3909999999999982	0	3
11	2012-12-15 21:00:00+01	23.5430000000000028	0	3
12	2012-12-15 22:00:00+01	7.84799999999999986	0	3
13	2012-12-15 23:00:00+01	1.96199999999999997	0	3
14	2012-12-16 09:00:00+01	3.92399999999999993	0	3
15	2012-12-16 10:00:00+01	9.8100000000000005	0	3
16	2012-12-16 11:00:00+01	31.3909999999999982	0	3
17	2012-12-16 12:00:00+01	52.972999999999999	0	3
18	2012-12-16 13:00:00+01	66.7060000000000031	0	3
19	2012-12-16 14:00:00+01	74.554000000000002	0	3
20	2012-12-16 15:00:00+01	74.554000000000002	0	3
21	2012-12-16 16:00:00+01	66.7060000000000031	0	3
22	2012-12-16 17:00:00+01	51.0110000000000028	0	3
23	2012-12-16 18:00:00+01	41.2010000000000005	0	3
24	2012-12-16 19:00:00+01	37.277000000000001	0	3
25	2012-12-16 20:00:00+01	31.3909999999999982	0	3
26	2012-12-16 21:00:00+01	21.5809999999999995	0	3
27	2012-12-16 22:00:00+01	13.7340000000000018	0	3
28	2012-12-16 23:00:00+01	13.7340000000000018	0	3
29	2012-12-17 00:00:00+01	7.84799999999999986	0	3
30	2012-12-17 01:00:00+01	15.6959999999999997	0	3
31	2012-12-17 02:00:00+01	11.7720000000000002	0	2
32	2012-12-17 03:00:00+01	13.7340000000000018	0	2
33	2012-12-17 04:00:00+01	19.620000000000001	0	2
34	2012-12-17 05:00:00+01	15.6959999999999997	0	2
35	2012-12-17 06:00:00+01	5.88600000000000012	0	2
36	2012-12-17 07:00:00+01	3.92399999999999993	0	2
37	2012-12-17 09:00:00+01	1.96199999999999997	0	2
38	2012-12-17 10:00:00+01	23.5430000000000028	0	2
39	2012-12-17 11:00:00+01	41.2010000000000005	0	2
40	2012-12-17 12:00:00+01	43.1630000000000038	0	2
41	2012-12-17 13:00:00+01	66.7060000000000031	0	2
42	2012-12-17 14:00:00+01	78.4780000000000086	0	2
43	2012-12-17 15:00:00+01	64.7439999999999998	0	2
44	2012-12-17 16:00:00+01	45.1250000000000	0	2
45	2012-12-17 17:00:00+01	41.2010000000000005	0	2
46	2012-12-17 18:00:00+01	37.277000000000001	0	2
47	2012-12-17 19:00:00+01	37.277000000000001	0	2
48	2012-12-17 20:00:00+01	21.5809999999999995	0	2
49	2012-12-17 21:00:00+01	3.92399999999999993	0	2
50	2012-12-17 22:00:00+01	3.92399999999999993	0	2
51	2012-12-17 23:00:00+01	1.96199999999999997	0	2
52	2012-12-18 00:00:00+01	5.88600000000000012	0	2
53	2012-12-18 01:00:00+01	9.8100000000000005	0	2
54	2012-12-18 02:00:00+01	13.7340000000000018	0	2
55	2012-12-18 03:00:00+01	7.84799999999999986	0	2
56	2012-12-18 04:00:00+01	13.7340000000000018	0	2
57	2012-12-18 05:00:00+01	23.5430000000000028	0	2
58	2012-12-18 06:00:00+01	5.88600000000000012	0	2
59	2012-12-18 07:00:00+01	3.92399999999999993	0	2
60	2012-12-18 08:00:00+01	3.92399999999999993	0	2
\.

--
-- Data for Name: organisations; Type: TABLE DATA; Schema: public; Owner: toaradmin
--

COPY public.organisations (id, name, longname, kind, city, postcode, street_address, country, homepage) FROM stdin;
1	UBA	Umweltbundesamt	1	Dessau-Roßlau	06844	Wörlitzer Platz 1	Germany	https://www.umweltbundesamt.de
2	FZJ	Forschungszentrum Jülich	1	Jülich	52425	Wilhelm-Johnen-Straße	Germany	https://www.fz-juelich.de
\.

--
-- Data for Name: persons; Type: TABLE DATA; Schema: public; Owner: toaradmin
--

COPY public.persons (id, name, email, phone, isprivate) FROM stdin;
1	Stefan Feigenspan	Stefan.Feigenspan@uba.de	+49 / (0)340 / 2103-2089	t
2	Ute Dauert	Ute.Dauert@uba.de	+49-340-2103-2531	t
3	Sabine Schröder	s.schroeder@fz-juelich.de	+49-2461-61-6397	t
\.


--
-- Data for Name: stationmeta_roles; Type: TABLE DATA; Schema: public; Owner: toaradmin
--

COPY public.stationmeta_roles (id, role, status, person_id, station_id) FROM stdin;
\.


--
-- Data for Name: stationmeta_annotations; Type: TABLE DATA; Schema: public; Owner: toaradmin
--

COPY public.stationmeta_annotations (id, kind, text, date_added, approved, contributor_id, station_id) FROM stdin;
\.


--
-- Data for Name: stationmeta_aux_doc; Type: TABLE DATA; Schema: public; Owner: toaradmin
--

COPY public.stationmeta_aux_doc (id, resource_description, date_added, resource, station_id) FROM stdin;
\.


--
-- Data for Name: stationmeta_aux_image; Type: TABLE DATA; Schema: public; Owner: toaradmin
--

COPY public.stationmeta_aux_image (id, resource_description, date_added, resource, image_height, image_width, station_id) FROM stdin;
\.


--
-- Data for Name: stationmeta_aux_url; Type: TABLE DATA; Schema: public; Owner: toaradmin
--

COPY public.stationmeta_aux_url (id, resource_description, date_added, resource, station_id) FROM stdin;
\.


--
-- Data for Name: stationmeta_core; Type: TABLE DATA; Schema: public; Owner: toaradmin
--

COPY public.stationmeta_core (id, codes, name, coordinates, country, state, coordinate_validation_status, coordinate_validation_date, type_of_environment, type_of_area, category, timezone, additional_metadata, coordinate_validator_id) FROM stdin;
1	{China11}	Mount Tai	01010000A0E61000004260E5D0221B314054E3A59BC42042400000000000F89740	China	Shandong Sheng	0	2020-03-11 12:22:18.047974+01	0	0			{}	1
2	{CO002}	U. S.Buenaventura	01010000A0E61000004260E5D0221B314054E3A59BC42042400000000000F89740	Colombia	ANTIOQUIA	0	2020-04-28 13:22:18.047974+02	0	0			{}	1
3	{ttt1,ttt2}	Test_China	01010000A0E61000004260E5D0221B314054E3A59BC42042400000000000F89740	China	Shandong Sheng	0	2020-03-11 12:22:18.047974+01	0	0			{}	1
\.


--
-- Data for Name: stationmeta_global; Type: TABLE DATA; Schema: public; Owner: toaradmin
--

COPY public.stationmeta_global (id, population_density_year2010, max_population_density_25km_year2010, climatic_zone, nightlight_1km_year2013, nightlight_5km_year2013, max_nightlight_25km_year2013, wheat_production_year2000, rice_production_year2000, edgar_htap_v2_nox_emissions_year2010, omi_no2_column_years2011to2015, htap_region_tier1, etopo_alt, etopo_min_alt_5km, etopo_relative_alt, dominant_landcover_year2012, toar1_category, station_id) FROM stdin;
\.


--
-- Data for Name: stationmeta_global_services; Type: TABLE DATA; Schema: public; Owner: toaradmin
--

COPY public.stationmeta_global_services (id, variable_name, result_type, result_nvalues, service_valid_year, service_url) FROM stdin;
\.


--
-- Data for Name: timeseries; Type: TABLE DATA; Schema: public; Owner: toaradmin
--

COPY public.timeseries (id, label, "order", access_rights, sampling_frequency, aggregation, data_start_date, data_end_date, measurement_method, sampling_height, additional_metadata, date_added, date_modified, station_id, variable_id) FROM stdin;
2	CMA	10	0	0	0	2003-09-07 17:30:00+02	2016-12-31 15:30:00+01	UV absorption	7	{}	2020-03-19 17:43:16.418634+01	2020-03-19 17:43:16.418639+01	1	9
3	IDEAM	10	0	0	0	2003-09-07 17:30:00+02	2016-12-31 15:30:00+01	UV absorption	7	{}	2020-03-19 17:43:16.418634+01	2020-03-19 17:43:16.418639+01	2	5
\.


--
-- Data for Name: timeseries_annotations; Type: TABLE DATA; Schema: public; Owner: toaradmin
--

COPY public.timeseries_annotations (id, kind, text, date_added, approved, contributor_id, timeseries_id) FROM stdin;
\.


--
-- Data for Name: timeseries_programmes; Type: TABLE DATA; Schema: public; Owner: toaradmin
--

COPY public.timeseries_programmes (id, name, longname, homepage, description) FROM stdin;
\.


--
-- Data for Name: timeseries_roles; Type: TABLE DATA; Schema: public; Owner: toaradmin
--

COPY public.timeseries_roles (id, role, status, person_id, timeseries_id) FROM stdin;
3	0	0	3	2
4	2	0	1	2
\.


--
-- Data for Name: us_gaz; Type: TABLE DATA; Schema: public; Owner: toaradmin
--

COPY public.us_gaz (id, seq, word, stdword, token, is_custom) FROM stdin;
\.


--
-- Data for Name: us_lex; Type: TABLE DATA; Schema: public; Owner: toaradmin
--

COPY public.us_lex (id, seq, word, stdword, token, is_custom) FROM stdin;
\.


--
-- Data for Name: us_rules; Type: TABLE DATA; Schema: public; Owner: toaradmin
--

COPY public.us_rules (id, rule, is_custom) FROM stdin;
\.


--
-- Data for Name: variables; Type: TABLE DATA; Schema: public; Owner: toaradmin
--

COPY public.variables (id, name, longname, displayname, cf_standardname, units, chemical_formula) FROM stdin;
1	benzene	benzene	Benzene	mole_fraction_of_benzene_in_air	nmol mol-1	C6H6
2	co	carbon monoxide	CO	mole_fraction_of_carbon_monoxide_in_air	nmol mol-1	CO
3	no	nitrogen monoxide	NO	mole_fraction_of_nitrogen_monoxide_in_air	nmol mol-1	NO
4	pm1	particles up to 1 µm diameter	PM 1	mass_concentration_of_pm1_ambient_aerosol_in_air	µg m-3	
5	o3	ozone	Ozone	mole_fraction_of_ozone_in_air	nmol mol-1	O3
6	no2	nitrogen dioxide	NO2	mole_fraction_of_nitrogen_dioxide_in_air	nmol mol-1	NO2
7	toluene	toluene	Toluene	mole_fraction_of_toluene_in_air	nmol mol-1	C7H8
8	so2	Sulphur dioxide	SO2	mole_fraction_of_sulfur_dioxide_in_air	nmol mol-1	SO2
9	ethane	Ethane	Ethane	mole_fraction_of_ethane_in_air	nmol mol-1	C2H6
10	propane	Propane	Propane	mole_fraction_of_propane_in_air	nmol mol-1	C3H8
11	ox	Ox	Ox		nmol mol-1	
12	aswdir	direct downward sw radiation	downward sw radiation	surface_downwelling_shortwave_flux_in_air	W/m**2	
13	pm10	particles up to 10 µm diameter	PM 10	mass_concentration_of_pm10_ambient_aerosol_in_air	µg m-3	
14	rn	radon	Radon		mBq m-3	Rn
15	mpxylene	m,p-xylene	m,p-Xylene		nmol mol-1	C8H10
16	oxylene	o-xylene	o-Xylene		nmol mol-1	C8H10
17	ch4	Methane	CH4	mole_fraction_of_methane_in_air	nmol mol-1	CH4
18	wdir	wind direction	Wind direction	wind_from_direction	degrees	
19	pm2p5	particles up to 2.5 µm diameter	PM 2.5	mass_concentration_of_pm2p5_ambient_aerosol_in_air	µg m-3	
20	nox	reactive nitrogen oxides (NO+NO2)	NOx	mole_fraction_of_nox_expressed_as_nitrogen_in_air	nmol mol-1	
21	temp	atmospheric temperature	Temperature	air_temperature	degC	
22	wspeed	wind speed	Wind speed	wind_speed	m s-1	
23	press	atmospheric pressure	Pressure	air_pressure	hPa	
24	cloudcover	total cloud cover	total cloud cover	cloud_area_fraction	%	
25	pblheight	height of PBL	PBL height	atmosphere_boundary_layer_thickness	m	
26	relhum	relative humidity	relative humidity	relative_humidity	%	
27	totprecip	total precipitation	total precipitation	precipitation_amount	kg m-2	
28	u	u-component (zonal) of wind	U	x_wind	m s-1	
29	v	v-component (meridional) of wind	V	y_wind	m s-1	
30	albedo	albedo	albedo	surface_albedo	%	
31	aswdifu	diffuse upward sw radiation	upward sw radiation		W/m**2	
32	humidity	atmospheric humidity	Humidity	specific_humidity	g kg-1	
33	irradiance	global surface irradiance	solar irradiance		W m-2	
34	benzene95	benzene	Benzene	mole_fraction_of_benzene_in_air	nmol mol-1	C6H6
35	benzene97	benzene	Benzene	mole_fraction_of_benzene_in_air	nmol mol-1	C6H6
36	benzene98	benzene	Benzene	mole_fraction_of_benzene_in_air	nmol mol-1	C6H6
37	benzene99	benzene	Benzene	mole_fraction_of_benzene_in_air	nmol mol-1	C6H6
\.


--
-- Data for Name: geocode_settings; Type: TABLE DATA; Schema: tiger; Owner: toaradmin
--

COPY tiger.geocode_settings (name, setting, unit, category, short_desc) FROM stdin;
\.


--
-- Data for Name: pagc_gaz; Type: TABLE DATA; Schema: tiger; Owner: toaradmin
--

COPY tiger.pagc_gaz (id, seq, word, stdword, token, is_custom) FROM stdin;
\.


--
-- Data for Name: pagc_lex; Type: TABLE DATA; Schema: tiger; Owner: toaradmin
--

COPY tiger.pagc_lex (id, seq, word, stdword, token, is_custom) FROM stdin;
\.


--
-- Data for Name: pagc_rules; Type: TABLE DATA; Schema: tiger; Owner: toaradmin
--

COPY tiger.pagc_rules (id, rule, is_custom) FROM stdin;
\.


--
-- Data for Name: topology; Type: TABLE DATA; Schema: topology; Owner: toaradmin
--

COPY topology.topology (id, name, srid, "precision", hasz) FROM stdin;
\.


--
-- Data for Name: layer; Type: TABLE DATA; Schema: topology; Owner: toaradmin
--

COPY topology.layer (topology_id, layer_id, schema_name, table_name, feature_column, feature_type, level, child_id) FROM stdin;
\.


--
-- Name: auth_user_id_seq; Type: SEQUENCE SET; Schema: public; Owner: toaradmin
--

SELECT pg_catalog.setval('public.auth_user_id_seq', 2, true);

--
-- Name: data_id_seq; Type: SEQUENCE SET; Schema: public; Owner: toaradmin
--

SELECT pg_catalog.setval('public.data_id_seq', 61, true);

--
-- Name: organisations_id_seq; Type: SEQUENCE SET; Schema: public; Owner: toaradmin
--

SELECT pg_catalog.setval('public.organisations_id_seq', 5, true);

--
-- Name: persons_id_seq; Type: SEQUENCE SET; Schema: public; Owner: toaradmin
--

SELECT pg_catalog.setval('public.persons_id_seq', 3, true);


--
-- Name: stationmeta_roles_id_seq; Type: SEQUENCE SET; Schema: public; Owner: toaradmin
--

SELECT pg_catalog.setval('public.stationmeta_roles_id_seq', 1, false);


--
-- Name: stationmeta_annotations_id_seq; Type: SEQUENCE SET; Schema: public; Owner: toaradmin
--

SELECT pg_catalog.setval('public.stationmeta_annotations_id_seq', 1, false);


--
-- Name: stationmeta_aux_doc_id_seq; Type: SEQUENCE SET; Schema: public; Owner: toaradmin
--

SELECT pg_catalog.setval('public.stationmeta_aux_doc_id_seq', 1, false);


--
-- Name: stationmeta_aux_image_id_seq; Type: SEQUENCE SET; Schema: public; Owner: toaradmin
--

SELECT pg_catalog.setval('public.stationmeta_aux_image_id_seq', 1, false);


--
-- Name: stationmeta_aux_url_id_seq; Type: SEQUENCE SET; Schema: public; Owner: toaradmin
--

SELECT pg_catalog.setval('public.stationmeta_aux_url_id_seq', 1, false);


--
-- Name: stationmeta_core_id_seq; Type: SEQUENCE SET; Schema: public; Owner: toaradmin
--

SELECT pg_catalog.setval('public.stationmeta_core_id_seq', 4, true);


--
-- Name: stationmeta_global_id_seq; Type: SEQUENCE SET; Schema: public; Owner: toaradmin
--

SELECT pg_catalog.setval('public.stationmeta_global_id_seq', 1, false);


--
-- Name: stationmeta_global_services_id_seq; Type: SEQUENCE SET; Schema: public; Owner: toaradmin
--

SELECT pg_catalog.setval('public.stationmeta_global_services_id_seq', 1, false);


--
-- Name: timeseries_annotations_id_seq; Type: SEQUENCE SET; Schema: public; Owner: toaradmin
--

SELECT pg_catalog.setval('public.timeseries_annotations_id_seq', 1, false);


--
-- Name: timeseries_id_seq; Type: SEQUENCE SET; Schema: public; Owner: toaradmin
--

SELECT pg_catalog.setval('public.timeseries_id_seq', 4, true);


--
-- Name: timeseries_programmes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: toaradmin
--

SELECT pg_catalog.setval('public.timeseries_programmes_id_seq', 1, false);


--
-- Name: timeseries_roles_id_seq; Type: SEQUENCE SET; Schema: public; Owner: toaradmin
--

SELECT pg_catalog.setval('public.timeseries_roles_id_seq', 4, true);


--
-- Name: variables_id_seq; Type: SEQUENCE SET; Schema: public; Owner: toaradmin
--

SELECT pg_catalog.setval('public.variables_id_seq', 37, true);

--
-- Name: auth_user auth_user_pkey; Type: CONSTRAINT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.auth_user
    ADD CONSTRAINT auth_user_pkey PRIMARY KEY (id);

--
-- Name: auth_user auth_user_username_key; Type: CONSTRAINT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.auth_user
    ADD CONSTRAINT auth_user_username_key UNIQUE (username);

--
-- Name: data data_pkey; Type: CONSTRAINT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.data
    ADD CONSTRAINT data_pkey PRIMARY KEY (id);


--
-- Name: data data_timeseries_id_date_time_7daa6d17_uniq; Type: CONSTRAINT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.data
    ADD CONSTRAINT data_timeseries_id_date_time_7daa6d17_uniq UNIQUE (timeseries_id, date_time);

--
-- Name: organisations organisations_pkey; Type: CONSTRAINT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.organisations
    ADD CONSTRAINT organisations_pkey PRIMARY KEY (id);


--
-- Name: persons persons_pkey; Type: CONSTRAINT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.persons
    ADD CONSTRAINT persons_pkey PRIMARY KEY (id);


--
-- Name: stationmeta_roles stationmeta_roles_pkey; Type: CONSTRAINT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.stationmeta_roles
    ADD CONSTRAINT stationmeta_roles_pkey PRIMARY KEY (id);


--
-- Name: stationmeta_roles stationmeta_roles_station_id_role_person_id_29a832af_uniq; Type: CONSTRAINT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.stationmeta_roles
    ADD CONSTRAINT stationmeta_roles_station_id_role_person_id_29a832af_uniq UNIQUE (station_id, role, person_id);


--
-- Name: stationmeta_annotations stationmeta_annotations_pkey; Type: CONSTRAINT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.stationmeta_annotations
    ADD CONSTRAINT stationmeta_annotations_pkey PRIMARY KEY (id);


--
-- Name: stationmeta_aux_doc stationmeta_aux_doc_pkey; Type: CONSTRAINT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.stationmeta_aux_doc
    ADD CONSTRAINT stationmeta_aux_doc_pkey PRIMARY KEY (id);


--
-- Name: stationmeta_aux_image stationmeta_aux_image_pkey; Type: CONSTRAINT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.stationmeta_aux_image
    ADD CONSTRAINT stationmeta_aux_image_pkey PRIMARY KEY (id);


--
-- Name: stationmeta_aux_url stationmeta_aux_url_pkey; Type: CONSTRAINT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.stationmeta_aux_url
    ADD CONSTRAINT stationmeta_aux_url_pkey PRIMARY KEY (id);


--
-- Name: stationmeta_core stationmeta_core_pkey; Type: CONSTRAINT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.stationmeta_core
    ADD CONSTRAINT stationmeta_core_pkey PRIMARY KEY (id);


--
-- Name: stationmeta_global stationmeta_global_pkey; Type: CONSTRAINT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.stationmeta_global
    ADD CONSTRAINT stationmeta_global_pkey PRIMARY KEY (id);


--
-- Name: stationmeta_global_services stationmeta_global_services_pkey; Type: CONSTRAINT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.stationmeta_global_services
    ADD CONSTRAINT stationmeta_global_services_pkey PRIMARY KEY (id);


--
-- Name: stationmeta_global_services stationmeta_global_services_service_url_key; Type: CONSTRAINT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.stationmeta_global_services
    ADD CONSTRAINT stationmeta_global_services_service_url_key UNIQUE (service_url);


--
-- Name: stationmeta_global stationmeta_global_station_id_key; Type: CONSTRAINT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.stationmeta_global
    ADD CONSTRAINT stationmeta_global_station_id_key UNIQUE (station_id);


--
-- Name: timeseries_annotations timeseries_annotations_pkey; Type: CONSTRAINT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.timeseries_annotations
    ADD CONSTRAINT timeseries_annotations_pkey PRIMARY KEY (id);


--
-- Name: timeseries timeseries_pkey; Type: CONSTRAINT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.timeseries
    ADD CONSTRAINT timeseries_pkey PRIMARY KEY (id);


--
-- Name: timeseries_programmes timeseries_programmes_pkey; Type: CONSTRAINT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.timeseries_programmes
    ADD CONSTRAINT timeseries_programmes_pkey PRIMARY KEY (id);


--
-- Name: timeseries_roles timeseries_roles_pkey; Type: CONSTRAINT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.timeseries_roles
    ADD CONSTRAINT timeseries_roles_pkey PRIMARY KEY (id);


--
-- Name: timeseries_roles timeseries_roles_timeseries_id_role_person_id_d888d4bf_uniq; Type: CONSTRAINT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.timeseries_roles
    ADD CONSTRAINT timeseries_roles_timeseries_id_role_person_id_d888d4bf_uniq UNIQUE (timeseries_id, role, person_id);


--
-- Name: timeseries timeseries_station_id_variable_id_label_055cfe3a_uniq; Type: CONSTRAINT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.timeseries
    ADD CONSTRAINT timeseries_station_id_variable_id_label_055cfe3a_uniq UNIQUE (station_id, variable_id, label);


--
-- Name: variables variables_name_key; Type: CONSTRAINT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.variables
    ADD CONSTRAINT variables_name_key UNIQUE (name);


--
-- Name: variables variables_pkey; Type: CONSTRAINT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.variables
    ADD CONSTRAINT variables_pkey PRIMARY KEY (id);

--
-- Name: auth_user_username_6821ab7c_like; Type: INDEX; Schema: public; Owner: toaradmin
--

CREATE INDEX auth_user_username_6821ab7c_like ON public.auth_user USING btree (username varchar_pattern_ops);

--
-- Name: data_date_time_4b248149; Type: INDEX; Schema: public; Owner: toaradmin
--

CREATE INDEX data_date_time_4b248149 ON public.data USING btree (date_time);


--
-- Name: data_timeseries_id_a38c5a1a; Type: INDEX; Schema: public; Owner: toaradmin
--

CREATE INDEX data_timeseries_id_a38c5a1a ON public.data USING btree (timeseries_id);


--
-- Name: data_timeseries_id_date_time_7daa6d17_idx; Type: INDEX; Schema: public; Owner: toaradmin
--

CREATE INDEX data_timeseries_id_date_time_7daa6d17_idx ON public.data USING btree (timeseries_id, date_time);

--
-- Name: stationmeta_roles_person_id_3bd9c160; Type: INDEX; Schema: public; Owner: toaradmin
--

CREATE INDEX stationmeta_roles_person_id_3bd9c160 ON public.stationmeta_roles USING btree (person_id);


--
-- Name: stationmeta_roles_station_id_f31f80fc; Type: INDEX; Schema: public; Owner: toaradmin
--

CREATE INDEX stationmeta_roles_station_id_f31f80fc ON public.stationmeta_roles USING btree (station_id);

--
-- Name: stationmeta_annotations_contributor_id_a5009820; Type: INDEX; Schema: public; Owner: toaradmin
--

CREATE INDEX stationmeta_annotations_contributor_id_a5009820 ON public.stationmeta_annotations USING btree (contributor_id);


--
-- Name: stationmeta_annotations_station_id_9d3fe3d0; Type: INDEX; Schema: public; Owner: toaradmin
--

CREATE INDEX stationmeta_annotations_station_id_9d3fe3d0 ON public.stationmeta_annotations USING btree (station_id);


--
-- Name: stationmeta_aux_doc_station_id_17bdb5f2; Type: INDEX; Schema: public; Owner: toaradmin
--

CREATE INDEX stationmeta_aux_doc_station_id_17bdb5f2 ON public.stationmeta_aux_doc USING btree (station_id);


--
-- Name: stationmeta_aux_image_station_id_fbfbdb29; Type: INDEX; Schema: public; Owner: toaradmin
--

CREATE INDEX stationmeta_aux_image_station_id_fbfbdb29 ON public.stationmeta_aux_image USING btree (station_id);


--
-- Name: stationmeta_aux_url_station_id_727571bd; Type: INDEX; Schema: public; Owner: toaradmin
--

CREATE INDEX stationmeta_aux_url_station_id_727571bd ON public.stationmeta_aux_url USING btree (station_id);


--
-- Name: stationmeta_core_coordinate_validator_id_38c0ef8d; Type: INDEX; Schema: public; Owner: toaradmin
--

CREATE INDEX stationmeta_core_coordinate_validator_id_38c0ef8d ON public.stationmeta_core USING btree (coordinate_validator_id);


--
-- Name: stationmeta_core_coordinates_id; Type: INDEX; Schema: public; Owner: toaradmin
--

CREATE INDEX stationmeta_core_coordinates_id ON public.stationmeta_core USING gist (coordinates postgis.gist_geometry_ops_nd);


--
-- Name: stationmeta_core_country_fa755dde; Type: INDEX; Schema: public; Owner: toaradmin
--

CREATE INDEX stationmeta_core_country_fa755dde ON public.stationmeta_core USING btree (country);


--
-- Name: stationmeta_core_country_fa755dde_like; Type: INDEX; Schema: public; Owner: toaradmin
--

CREATE INDEX stationmeta_core_country_fa755dde_like ON public.stationmeta_core USING btree (country varchar_pattern_ops);


--
-- Name: stationmeta_core_state_85025a96; Type: INDEX; Schema: public; Owner: toaradmin
--

CREATE INDEX stationmeta_core_state_85025a96 ON public.stationmeta_core USING btree (state);


--
-- Name: stationmeta_core_state_85025a96_like; Type: INDEX; Schema: public; Owner: toaradmin
--

CREATE INDEX stationmeta_core_state_85025a96_like ON public.stationmeta_core USING btree (state varchar_pattern_ops);


--
-- Name: stationmeta_global_services_service_url_c8ee80c5_like; Type: INDEX; Schema: public; Owner: toaradmin
--

CREATE INDEX stationmeta_global_services_service_url_c8ee80c5_like ON public.stationmeta_global_services USING btree (service_url varchar_pattern_ops);


--
-- Name: timeseries_annotations_contributor_id_7a1758f6; Type: INDEX; Schema: public; Owner: toaradmin
--

CREATE INDEX timeseries_annotations_contributor_id_7a1758f6 ON public.timeseries_annotations USING btree (contributor_id);


--
-- Name: timeseries_annotations_timeseries_id_02014000; Type: INDEX; Schema: public; Owner: toaradmin
--

CREATE INDEX timeseries_annotations_timeseries_id_02014000 ON public.timeseries_annotations USING btree (timeseries_id);


--
-- Name: timeseries_roles_person_id_3e26200e; Type: INDEX; Schema: public; Owner: toaradmin
--

CREATE INDEX timeseries_roles_person_id_3e26200e ON public.timeseries_roles USING btree (person_id);


--
-- Name: timeseries_roles_timeseries_id_13b7edfd; Type: INDEX; Schema: public; Owner: toaradmin
--

CREATE INDEX timeseries_roles_timeseries_id_13b7edfd ON public.timeseries_roles USING btree (timeseries_id);


--
-- Name: timeseries_station_id_0f4fed9c; Type: INDEX; Schema: public; Owner: toaradmin
--

CREATE INDEX timeseries_station_id_0f4fed9c ON public.timeseries USING btree (station_id);


--
-- Name: timeseries_variable_id_dd9603f5; Type: INDEX; Schema: public; Owner: toaradmin
--

CREATE INDEX timeseries_variable_id_dd9603f5 ON public.timeseries USING btree (variable_id);


--
-- Name: variables_name_9bc98a13_like; Type: INDEX; Schema: public; Owner: toaradmin
--

CREATE INDEX variables_name_9bc98a13_like ON public.variables USING btree (name varchar_pattern_ops);

--
-- Name: data data_timeseries_id_a38c5a1a_fk_timeseries_id; Type: FK CONSTRAINT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.data
    ADD CONSTRAINT data_timeseries_id_a38c5a1a_fk_timeseries_id FOREIGN KEY (timeseries_id) REFERENCES public.timeseries(id) DEFERRABLE INITIALLY DEFERRED;

--
-- Name: stationmeta_roles stationmeta_roles_person_id_3bd9c160_fk_persons_id; Type: FK CONSTRAINT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.stationmeta_roles
    ADD CONSTRAINT stationmeta_roles_person_id_3bd9c160_fk_persons_id FOREIGN KEY (person_id) REFERENCES public.persons(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: stationmeta_roles stationmeta_roles_station_id_f31f80fc_fk_stationmeta_core_id; Type: FK CONSTRAINT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.stationmeta_roles
    ADD CONSTRAINT stationmeta_roles_station_id_f31f80fc_fk_stationmeta_core_id FOREIGN KEY (station_id) REFERENCES public.stationmeta_core(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: stationmeta_annotations stationmeta_annotati_station_id_9d3fe3d0_fk_stationme; Type: FK CONSTRAINT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.stationmeta_annotations
    ADD CONSTRAINT stationmeta_annotati_station_id_9d3fe3d0_fk_stationme FOREIGN KEY (station_id) REFERENCES public.stationmeta_core(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: stationmeta_annotations stationmeta_annotations_contributor_id_a5009820_fk_auth_user_id; Type: FK CONSTRAINT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.stationmeta_annotations
    ADD CONSTRAINT stationmeta_annotations_contributor_id_a5009820_fk_auth_user_id FOREIGN KEY (contributor_id) REFERENCES public.auth_user(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: stationmeta_aux_doc stationmeta_aux_doc_station_id_17bdb5f2_fk_stationmeta_core_id; Type: FK CONSTRAINT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.stationmeta_aux_doc
    ADD CONSTRAINT stationmeta_aux_doc_station_id_17bdb5f2_fk_stationmeta_core_id FOREIGN KEY (station_id) REFERENCES public.stationmeta_core(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: stationmeta_aux_image stationmeta_aux_imag_station_id_fbfbdb29_fk_stationme; Type: FK CONSTRAINT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.stationmeta_aux_image
    ADD CONSTRAINT stationmeta_aux_imag_station_id_fbfbdb29_fk_stationme FOREIGN KEY (station_id) REFERENCES public.stationmeta_core(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: stationmeta_aux_url stationmeta_aux_url_station_id_727571bd_fk_stationmeta_core_id; Type: FK CONSTRAINT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.stationmeta_aux_url
    ADD CONSTRAINT stationmeta_aux_url_station_id_727571bd_fk_stationmeta_core_id FOREIGN KEY (station_id) REFERENCES public.stationmeta_core(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: stationmeta_core stationmeta_core_coordinate_validator_38c0ef8d_fk_auth_user; Type: FK CONSTRAINT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.stationmeta_core
    ADD CONSTRAINT stationmeta_core_coordinate_validator_38c0ef8d_fk_auth_user FOREIGN KEY (coordinate_validator_id) REFERENCES public.auth_user(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: stationmeta_global stationmeta_global_station_id_29ff53dd_fk_stationmeta_core_id; Type: FK CONSTRAINT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.stationmeta_global
    ADD CONSTRAINT stationmeta_global_station_id_29ff53dd_fk_stationmeta_core_id FOREIGN KEY (station_id) REFERENCES public.stationmeta_core(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: timeseries_annotations timeseries_annotations_contributor_id_7a1758f6_fk_auth_user_id; Type: FK CONSTRAINT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.timeseries_annotations
    ADD CONSTRAINT timeseries_annotations_contributor_id_7a1758f6_fk_auth_user_id FOREIGN KEY (contributor_id) REFERENCES public.auth_user(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: timeseries_annotations timeseries_annotations_timeseries_id_02014000_fk_timeseries_id; Type: FK CONSTRAINT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.timeseries_annotations
    ADD CONSTRAINT timeseries_annotations_timeseries_id_02014000_fk_timeseries_id FOREIGN KEY (timeseries_id) REFERENCES public.timeseries(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: timeseries_roles timeseries_roles_person_id_3e26200e_fk_persons_id; Type: FK CONSTRAINT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.timeseries_roles
    ADD CONSTRAINT timeseries_roles_person_id_3e26200e_fk_persons_id FOREIGN KEY (person_id) REFERENCES public.persons(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: timeseries_roles timeseries_roles_timeseries_id_13b7edfd_fk_timeseries_id; Type: FK CONSTRAINT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.timeseries_roles
    ADD CONSTRAINT timeseries_roles_timeseries_id_13b7edfd_fk_timeseries_id FOREIGN KEY (timeseries_id) REFERENCES public.timeseries(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: timeseries timeseries_station_id_0f4fed9c_fk_stationmeta_core_id; Type: FK CONSTRAINT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.timeseries
    ADD CONSTRAINT timeseries_station_id_0f4fed9c_fk_stationmeta_core_id FOREIGN KEY (station_id) REFERENCES public.stationmeta_core(id) DEFERRABLE INITIALLY DEFERRED;


--
-- Name: timeseries timeseries_variable_id_dd9603f5_fk_variables_id; Type: FK CONSTRAINT; Schema: public; Owner: toaradmin
--

ALTER TABLE ONLY public.timeseries
    ADD CONSTRAINT timeseries_variable_id_dd9603f5_fk_variables_id FOREIGN KEY (variable_id) REFERENCES public.variables(id) DEFERRABLE INITIALLY DEFERRED;


--
-- PostgreSQL database dump complete
--

